Social Fetch
Facebook

Search Facebook Marketplace listings

Search Facebook Marketplace listings by keyword near a latitude and longitude.

Operation

GET/v1/facebook/marketplace/search
Cost: 1 credit

Headers

x-api-keystringrequired(header)

API key (`sfk_...`)

Parameters

querystringrequired(query)

Search query text for marketplace listings.

min 1 chars · max 512 chars

latnumber(query)

Latitude for the marketplace search location.

≥ -90 · ≤ 90

lngnumber(query)

Longitude for the marketplace search location.

≥ -180 · ≤ 180

radiusKmnumber(query)

Optional search radius in kilometers.

≥ 0

minPricenumber(query)

Optional minimum listing price.

≥ 0

maxPricenumber(query)

Optional maximum listing price.

≥ 0

countinteger(query)

Optional number of listings to return.

≥ 1 · ≤ 100

sortBystring(query)

Optional sort order for marketplace listings.

one of: suggested, distanceAscend, creationTimeDescend, priceAscend, priceDescend

deliveryMethodstring(query)

Optional delivery method filter for marketplace listings.

one of: all, localPickup, shipping

conditionstring(query)

Optional item condition filter for marketplace listings.

one of: new, usedLikeNew, usedGood, usedFair

dateListedstring(query)

Optional date-listed filter for marketplace listings.

one of: 1, 7, 30, all, last24Hours, last7Days, last30Days

availabilitystring(query)

Optional availability filter for marketplace listings.

one of: available, sold, all

cursorstring(query)

Opaque pagination cursor returned by a previous response.

min 1 chars

Response fields

data
objectrequired

Endpoint-specific response payload.

dataquery
stringrequired

Search query string evaluated for this response.

datalocation
objectrequired

Location parameters evaluated for this response.

datalocationlat
numberrequired

Latitude evaluated for this search.

datalocationlng
numberrequired

Longitude evaluated for this search.

datalocationradiusKm
numberrequirednullable

Search radius in kilometers when provided.

datalistings
arrayrequired

Listings returned for this page.

datalistings[]id
stringrequired

Stable marketplace listing identifier.

min 1 chars

datalistings[]url
stringrequirednullable

Canonical public listing URL when available.

datalistings[]title
stringrequired

Listing title.

min 1 chars

datalistings[]price
objectrequired

Displayed price for the listing.

datalistings[]priceformattedAmount
stringrequirednullable

Formatted price label when available.

datalistings[]priceamount
numberrequirednullable

Numeric price amount when available.

datalistings[]priceamountWithOffsetInCurrency
numberrequirednullable

Price amount with currency offset when available.

datalistings[]strikethroughPrice
objectrequirednullable

Strikethrough or original price when available.

datalistings[]strikethroughPriceformattedAmount
stringrequirednullable

Formatted price label when available.

datalistings[]strikethroughPriceamount
numberrequirednullable

Numeric price amount when available.

datalistings[]strikethroughPriceamountWithOffsetInCurrency
numberrequirednullable

Price amount with currency offset when available.

datalistings[]location
objectrequired

Location summary for the listing.

datalistings[]locationcity
stringrequirednullable

City name when available.

datalistings[]locationstate
stringrequirednullable

State or region when available.

datalistings[]locationdisplayName
stringrequirednullable

Human-readable location label when available.

datalistings[]locationcityPageId
stringrequirednullable

Location page identifier when available.

datalistings[]primaryPhoto
objectrequired

Primary photo for the listing.

datalistings[]primaryPhotoid
stringrequirednullable

Primary photo identifier when available.

datalistings[]primaryPhotourl
stringrequirednullable

Primary photo URL when available.

datalistings[]categoryId
stringrequirednullable

Marketplace category identifier when available.

datalistings[]deliveryTypes
arrayrequired

Delivery options reported for the listing.

datalistings[]deliveryTypes[]
string
datalistings[]status
objectrequired

Listing status flags.

datalistings[]statusisHidden
booleanrequirednullable

Whether the listing is hidden when available.

datalistings[]statusisLive
booleanrequirednullable

Whether the listing is live when available.

datalistings[]statusisPending
booleanrequirednullable

Whether the listing is pending when available.

datalistings[]statusisSold
booleanrequirednullable

Whether the listing is sold when available.

datalistings[]statusisViewerSeller
booleanrequirednullable

Whether the viewer is the seller when available.

datalistings[]storyType
stringrequirednullable

Story type metadata when available.

datalistings[]storyKey
stringrequirednullable

Story key metadata when available.

datatotalListings
integerrequired

Number of listings returned in this response.

≥ 0

datapage
objectrequired

Pagination information for the current response.

datapagenextCursor
stringrequirednullable

Cursor to pass in the next request when another page is available; otherwise null.

datapagehasMore
booleanrequired

Whether another page of listings can be requested.

meta
objectrequired

Metadata describing the request and billing outcome.

metarequestId
stringrequired

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integerrequired

Credits charged for this request.

≥ 0

metaversion
stringrequired

Public API version that served the response.

one of: v1

Code example

Responses

Marketplace listings for the requested search.

Error codes

bad_requestinsufficient_creditsinternal_errorlookup_failedtemporarily_unavailableunauthorized

On this page